Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenCommonBase

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenChildContainer, GenChildLabelNode, GenChildNode, GenChildSideAffixedNode, GenCompartment, GenContainerBase, GenDiagram, GenExternalNodeLabel, GenLabel, GenLink, GenLinkLabel, GenNode, GenNodeLabel, GenTopLevelNode

All Known Implementing Classes:
  GenChildContainerImpl, GenChildLabelNodeImpl, GenChildNodeImpl, GenChildSideAffixedNodeImpl, GenCommonBaseImpl, GenCompartmentImpl, GenDiagramImpl, GenExternalNodeLabelImpl, GenLabelImpl, GenLinkImpl, GenLinkLabelImpl, GenNodeImpl, GenNodeLabelImpl, GenTopLevelNodeImpl

    public interface GenCommonBase

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Common Base'. One that combines attributes that are essential for diagram elements

The following features are supported:

- `Diagram Run Time Class`
- `Visual ID`
- `Element Type`
- `Edit Part Class Name`
- `Item Semantic Edit Policy Class Name`
- `Notation View Factory Class Name`
- `Viewmap`
- `Styles`
- `Behaviour`
- `Sans Domain`

See Also:
  `GMFGenPackage.getGenCommonBase()`
** Generated **
Model:
  abstract="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='styles->forAll(style|style.ecoreClass.eAllSuperTypes->including(style.ecoreClass)->one(ePackage.name = \'notation\' and name = \'Style\'))' description='Each style must be a notation::Style or sub-class'"

Field Summary
`static java.lang.String` `DEFAULT_CLASS_NAME_PREFIX`
`static java.lang.String` `EDIT_PART_SUFFIX`
`static java.lang.String` `ITEM_SEMANTIC_EDIT_POLICY_SUFFIX`
`static java.lang.String` `NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<Behaviour>` `getBehaviour()` Returns the value of the 'Behaviour' containment reference list.

`

`<T extends Behaviour> java.util.List<T>`

`

`getBehaviour(java.lang.Class<T> behaviourClass)`
Filter list of behavior to instances of particular kind.

`java.lang.String` `getClassNamePrefix()` If the meaning of the 'Class Name Prefix' attribute isn't clear, there really should be more of a description here...
`java.lang.String` `getClassNameSuffux()` If the meaning of the 'Class Name Suffux' attribute isn't clear, there really should be more of a description here...
`GenDiagram` `getDiagram()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getDiagramRunTimeClass()` Returns the value of the 'Diagram Run Time Class' reference
`java.lang.String` `getEditPartClassName()` Returns the value of the 'Edit Part Class Name' attribute
`java.lang.String` `getEditPartQualifiedClassName()`
`ElementType` `getElementType()` Returns the value of the 'Element Type' containment reference.
`java.lang.String` `getItemSemanticEditPolicyClassName()` Returns the value of the 'Item Semantic Edit Policy Class Name' attribute
`java.lang.String` `getItemSemanticEditPolicyQualifiedClassName()`
`ViewmapLayoutType` `getLayoutType()`
`java.lang.String` `getNotationViewFactoryClassName()` Returns the value of the 'Notation View Factory Class Name' attribute
`java.lang.String` `getNotationViewFactoryQualifiedClassName()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass>` `getStyles()` Returns the value of the 'Styles' reference list.
`java.lang.String` `getUniqueIdentifier()` This unique string identifier could be used to construct unique identifiers in generated java code
`Viewmap` `getViewmap()` Returns the value of the 'Viewmap' containment reference
`int` `getVisualID()` Returns the value of the 'Visual ID' attribute
`boolean` `isSansDomain()` Returns the value of the 'Sans Domain' attribute
`void` `setDiagramRunTimeClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)` Sets the value of the '`Diagram Run Time Class`' reference
`void` `setEditPartClassName(java.lang.String value)` Sets the value of the '`Edit Part Class Name`' attribute
`void` `setElementType(ElementType value)` Sets the value of the '`Element Type`' containment reference
`void` `setItemSemanticEditPolicyClassName(java.lang.String value)` Sets the value of the '`Item Semantic Edit Policy Class Name`' attribute
`void` `setNotationViewFactoryClassName(java.lang.String value)` Sets the value of the '`Notation View Factory Class Name`' attribute
`void` `setViewmap(Viewmap value)` Sets the value of the '`Viewmap`' containment reference
`void` `setVisualID(int value)` Sets the value of the '`Visual ID`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### EDIT_PART_SUFFIX

    static final java.lang.String EDIT_PART_SUFFIX

See Also:
  Constant Field Values

### ITEM_SEMANTIC_EDIT_POLICY_SUFFIX

    static final java.lang.String ITEM_SEMANTIC_EDIT_POLICY_SUFFIX

See Also:
  Constant Field Values

### NOTATION_VIEW_FACTORY_SUFFIX

    static final java.lang.String NOTATION_VIEW_FACTORY_SUFFIX

See Also:
  Constant Field Values

### DEFAULT_CLASS_NAME_PREFIX

    static final java.lang.String DEFAULT_CLASS_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### getDiagramRunTimeClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getDiagramRunTimeClass()

  Returns the value of the 'Diagram Run Time Class' reference.

  If the meaning of the 'Diagram Run Time Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Run Time Class' reference.
  See Also:
    `setDiagramRunTimeClass(GenClass)`, `GMFGenPackage.getGenCommonBase_DiagramRunTimeClass()`
  ** Generated **
  Model:
    required="true"

### setDiagramRunTimeClass

    void setDiagramRunTimeClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)

  Sets the value of the '`Diagram Run Time Class`' reference.

  Parameters:
    `value` - the new value of the 'Diagram Run Time Class' reference.
  See Also:
    `getDiagramRunTimeClass()`
  ** Generated **

### getVisualID

    int getVisualID()

  Returns the value of the 'Visual ID' attribute. way to decide which editpart to use for specific diagram element. Maps to attribute in DRT.

  Returns:
    the value of the 'Visual ID' attribute.
  See Also:
    `setVisualID(int)`, `GMFGenPackage.getGenCommonBase_VisualID()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='visualID >= 0' description='Visual ID must be a non-negative integer'"

### setVisualID

    void setVisualID(int value)

  Sets the value of the '`Visual ID`' attribute.

  Parameters:
    `value` - the new value of the 'Visual ID' attribute.
  See Also:
    `getVisualID()`
  ** Generated **

### getElementType

    ElementType getElementType()

  Returns the value of the 'Element Type' containment reference. It is bidirectional and its opposite is '`Diagram Element`'.

  If the meaning of the 'Element Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Type' containment reference.
  See Also:
    `setElementType(ElementType)`, `GMFGenPackage.getGenCommonBase_ElementType()`, `ElementType.getDiagramElement()`
  ** Generated **
  Model:
    opposite="diagramElement" containment="true"

### setElementType

    void setElementType(ElementType value)

  Sets the value of the '`Element Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Element Type' containment reference.
  See Also:
    `getElementType()`
  ** Generated **

### getEditPartClassName

    java.lang.String getEditPartClassName()

  Returns the value of the 'Edit Part Class Name' attribute.

  If the meaning of the 'Edit Part Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Part Class Name' attribute.
  See Also:
    `setEditPartClassName(String)`, `GMFGenPackage.getGenCommonBase_EditPartClassName()`
  ** Generated **
  Model:

### setEditPartClassName

    void setEditPartClassName(java.lang.String value)

  Sets the value of the '`Edit Part Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Part Class Name' attribute.
  See Also:
    `getEditPartClassName()`
  ** Generated **

### getItemSemanticEditPolicyClassName

    java.lang.String getItemSemanticEditPolicyClassName()

  Returns the value of the 'Item Semantic Edit Policy Class Name' attribute.

  If the meaning of the 'Item Semantic Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `setItemSemanticEditPolicyClassName(String)`, `GMFGenPackage.getGenCommonBase_ItemSemanticEditPolicyClassName()`
  ** Generated **
  Model:

### setItemSemanticEditPolicyClassName

    void setItemSemanticEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Item Semantic Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `getItemSemanticEditPolicyClassName()`
  ** Generated **

### getNotationViewFactoryClassName

    java.lang.String getNotationViewFactoryClassName()

  Returns the value of the 'Notation View Factory Class Name' attribute.

  If the meaning of the 'Notation View Factory Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notation View Factory Class Name' attribute.
  See Also:
    `setNotationViewFactoryClassName(String)`, `GMFGenPackage.getGenCommonBase_NotationViewFactoryClassName()`
  ** Generated **
  Model:

### setNotationViewFactoryClassName

    void setNotationViewFactoryClassName(java.lang.String value)

  Sets the value of the '`Notation View Factory Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Notation View Factory Class Name' attribute.
  See Also:
    `getNotationViewFactoryClassName()`
  ** Generated **

### getViewmap

    Viewmap getViewmap()

  Returns the value of the 'Viewmap' containment reference.

  If the meaning of the 'Viewmap' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Viewmap' containment reference.
  See Also:
    `setViewmap(Viewmap)`, `GMFGenPackage.getGenCommonBase_Viewmap()`
  ** Generated **
  Model:
    containment="true" required="true"

### setViewmap

    void setViewmap(Viewmap value)

  Sets the value of the '`Viewmap`' containment reference.

  Parameters:
    `value` - the new value of the 'Viewmap' containment reference.
  See Also:
    `getViewmap()`
  ** Generated **

### getStyles

    org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> getStyles()

  Returns the value of the 'Styles' reference list. The list contents are of type `GenClass`.

  If the meaning of the 'Styles' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Styles' reference list.
  See Also:
    `GMFGenPackage.getGenCommonBase_Styles()`
  ** Generated **
  Model:

### getBehaviour

    org.eclipse.emf.common.util.EList<Behaviour> getBehaviour()

  Returns the value of the 'Behaviour' containment reference list. The list contents are of type `Behaviour`. It is bidirectional and its opposite is '`Subject`'.

  If the meaning of the 'Behaviour' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Behaviour' containment reference list.
  See Also:
    `GMFGenPackage.getGenCommonBase_Behaviour()`, `Behaviour.getSubject()`
  ** Generated **
  Model:
    opposite="subject" containment="true"

### isSansDomain

    boolean isSansDomain()

  Returns the value of the 'Sans Domain' attribute.

  If the meaning of the 'Sans Domain' attribute isn't clear, there really should be more of a description here...

  Indicates this element has no associated domain model. IOW, pure design element.

  Returns:
    the value of the 'Sans Domain' attribute.
  See Also:
    `GMFGenPackage.getGenCommonBase_SansDomain()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getBehaviour

    <T extends Behaviour> java.util.List<T> getBehaviour(java.lang.Class<T> behaviourClass)

  Filter list of behavior to instances of particular kind. Note, behaviour returned is not necessarily owned (think contained) by this element, as this method unwraps `SharedBehaviour`

  Parameters:
    `behaviourClass` - should be Behaviour.class.isAssignableFrom(behaviourClass)

### getClassNamePrefix

    java.lang.String getClassNamePrefix()

  If the meaning of the 'Class Name Prefix' attribute isn't clear, there really should be more of a description here...

  ** Generated **
  Model:
    kind="operation"

### getClassNameSuffux

    java.lang.String getClassNameSuffux()

  If the meaning of the 'Class Name Suffux' attribute isn't clear, there really should be more of a description here...

  ** Generated **
  Model:
    kind="operation"

### getUniqueIdentifier

    java.lang.String getUniqueIdentifier()

  This unique string identifier could be used to construct unique identifiers in generated java code

  ** Generated **
  Model:
    kind="operation"

### getLayoutType

    ViewmapLayoutType getLayoutType()

  ** Generated **
  Model:
    kind="operation"

### getEditPartQualifiedClassName

    java.lang.String getEditPartQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getItemSemanticEditPolicyQualifiedClassName

    java.lang.String getItemSemanticEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNotationViewFactoryQualifiedClassName

    java.lang.String getNotationViewFactoryQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDiagram

    GenDiagram getDiagram()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.